Subject: [lamps] HP Issue: Bcc Handling

From: Bernie Hoeneisen <[email-masked]>
Date: Fri, 2 Oct 2020 14:24:19 +0200 (CEST)

Below a summary of the issue on 'Bcc Handling'. If anybody 
wishes to discuss this topic further or does not agree with the 
conclusion, please speek up within the next 10 days!

At the bottom of this email there are some open questions that need 
answers.

cheers,
  Bernie

Text from slide:

- Encrypted Messages with Bcc need to be split:

   1) The same Message to all  To and Cc recipients, without Bcc HF

   2) Message(s) to Bcc recipient(s) vary among implementations

      a) One Message per Bcc recipient
         Bcc HF contains recipient address the message is sent to

      b) The same Message for all Bcc recipients
         Bcc HF with an indication, e.g. "Undisclosed recipients"

      c) The same Message for all Bcc recipients
         without Bcc HF (same as same as 1)

- No specification on this found in S/MIME

   - 2a is most privacy-preserving, but may result in many Messages

   - 2b and 2c are easier/more efficient to handle, but leak privacy
     information via encryption keys and certs

Conclusion at IETF-108 (as I understood):

- 2a is the way forward

- 2a has been claimed to be already part of the S/MIME standards

Open questions:

- Where (RFC & Section) is it standardized that 2a is to be used,
   so that we could refer to?

- What is the standardization state of 2b and 2c that appear to
   be implemented? forbidden, discouraged, deprecated, ... ?

---

From: Russ Housley <[email-masked]>
Date: Fri, 2 Oct 2020 10:33:10 -0400

Bernie:

Please take a look at RFC 5322, Section 3.6.3.  The proposed direction seems to be consistent, but you probably want to cite this section.

Russ

> On Oct 2, 2020, at 8:24 AM, Bernie Hoeneisen <[email-masked]> wrote:
> 
> Below a summary of the issue on 'Bcc Handling'. If anybody wishes to discuss this topic further or does not agree with the conclusion, please speek up within the next 10 days!
> 
> At the bottom of this email there are some open questions that need answers.
> 
> cheers,
> Bernie
> 
> 
> Text from slide:
>